# Different library functions

Documentation for `ManifoldDiff.jl`'s methods and types for finite differences and automatic differentiation.

## Derivatives

```@autodocs
Modules = [ManifoldDiff]
Pages = ["derivatives.jl"]
Order = [:type, :function, :constant]
Private = true
```

## Differentials and their adjoints

```@autodocs
Modules = [ManifoldDiff]
Pages = ["adjoint_differentials.jl","differentials.jl"]
Order = [:type, :function, :constant]
Private = true
```

```@autodocs
Modules = [ManifoldDiff]
Pages = ["diagonalizing_projectors.jl"]
Order = [:type, :function, :constant]
Private = true
```

## Gradients

```@autodocs
Modules = [ManifoldDiff]
Pages = ["gradients.jl"]
Order = [:type, :function, :constant]
Private = true
```

## Jacobi fields

```@autodocs
Modules = [ManifoldDiff]
Pages = ["Jacobi_fields.jl"]
Order = [:type, :function, :constant]
```

## Riemannian differentials

```@autodocs
Modules = [ManifoldDiff]
Pages = ["riemannian_diff.jl"]
Order = [:type, :function, :constant]
```
